javax.resource.spi.work

## Class HintsContext

- java.lang.Object
- - javax.resource.spi.work.HintsContext

- All Implemented Interfaces:
    java.io.Serializable, WorkContext

      public class HintsContext
      extends java.lang.Object
      implements WorkContext

  A standard `WorkContext` that allows a `Work` instance to propagate quality-of-service (QoS) hints about the `Work` to the `WorkManager`.
  Since:
    1.6
  Version:
    Java EE Connector Architecture 1.6
  See Also:
    `WorkContextProvider`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `description` Description
    `static java.lang.String` | `LONGRUNNING_HINT` The long running hint
    `protected java.lang.String` | `name` Name
    `static java.lang.String` | `NAME_HINT` The name hint

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HintsContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Get the brief description of the role played by the `WorkContext` and any other related debugging information.
    `java.util.Map<java.lang.String,java.io.Serializable>` | `getHints()` Get the hints
    `java.lang.String` | `getName()` Get the associated name of the `WorkContext`.
    `void` | `setDescription(java.lang.String description)` Set a brief description of the role played by the instance of HintsContext and any other related debugging information.
    `void` | `setHint(java.lang.String hintName, java.io.Serializable value)` Set a Hint and a related value.
    `void` | `setName(java.lang.String name)` Set the associated name of the HintsContext.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME_HINT

          public static final java.lang.String NAME_HINT

      The name hint
      See Also:
        Constant Field Values

    - #### LONGRUNNING_HINT

          public static final java.lang.String LONGRUNNING_HINT

      The long running hint
      See Also:
        Constant Field Values

    - #### description

          protected java.lang.String description

      Description

    - #### name

          protected java.lang.String name

      Name

  - ### Constructor Detail

    - #### HintsContext

          public HintsContext()

  - ### Method Detail

    - #### getDescription

          public java.lang.String getDescription()

      Get the brief description of the role played by the `WorkContext` and any other related debugging information. This could be used by the WorkManager and the resource adapter for debugging purposes.

      Specified by:
        `getDescription` in interface `WorkContext`
      Returns:
        the associated description of the `WorkContext`

    - #### getName

          public java.lang.String getName()

      Get the associated name of the `WorkContext`. This could be used by the WorkManager and the resource adapter for debugging purposes.

      Specified by:
        `getName` in interface `WorkContext`
      Returns:
        the associated name of the `WorkContext`

    - #### setDescription

          public void setDescription(java.lang.String description)

      Set a brief description of the role played by the instance of HintsContext and any other related debugging information. This could be used by the resource adapter and the WorkManager for logging and debugging purposes.
      Parameters:
        `description` - The description

    - #### setName

          public void setName(java.lang.String name)

      Set the associated name of the HintsContext. This could be used by the resource adapter and the WorkManager for logging and debugging purposes.
      Parameters:
        `name` - The name

    - #### setHint

          public void setHint(java.lang.String hintName,
                              java.io.Serializable value)

      Set a Hint and a related value. The hintName must be non-Null. Standard HintNames are defined in the Connector specification. Use of "javax.resource." prefixed hintNames are reserved for use by the Connector specification.
      Parameters:
        `hintName` - The hint name
        `value` - The hint value

    - #### getHints

          public java.util.Map<java.lang.String,java.io.Serializable> getHints()

      Get the hints
      Returns:
        The hints

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)